unit PropertiesFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, XStringGrid, PropertiesGrid;

type
  TPropertiesForm = class(TForm)
    XStringGrid1: TXStringGrid;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FPropertiesGrid: TPropertiesGrid;
  public
    { Public declarations }
  end;

var
  PropertiesForm: TPropertiesForm;

implementation

{$R *.DFM}

procedure TPropertiesForm.FormCreate(Sender: TObject);
begin
  FPropertiesGrid := TPropertiesGrid.Create(Self);
  FPropertiesGrid.Parent := Self;
  FPropertiesGrid.Align := alClient;
  FPropertiesGrid.Options := FPropertiesGrid.Options + [goEditing, goAlwaysShowEditor, goColSizing]
    - [goRowSelect];

  FPropertiesGrid.Obj := Self;

end;

end.
